%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary:	GNOME VNC server and client
Name:		vino
Version:	3.16.0
Release:	1

Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
License:	GPLv2+
Group:		Networking/Remote access
Url:		http://www.gnome.org

BuildRequires:	GConf2
BuildRequires:	avahi-client-devel
BuildRequires:	avahi-glib-devel
BuildRequires:	gtk+3-devel
BuildRequires:	intltool
BuildRequires:	jpeg-devel
BuildRequires:	libgcrypt-devel
BuildRequires:	libgnome-keyring-devel
BuildRequires:	libsoup-devel
BuildRequires:	libxdamage-devel
BuildRequires:	libxfixes-devel
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(telepathy-glib)		
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	unique-devel

%description
The package contains an integrated GNOME VNC server.

%prep
%setup -q

%build
%configure2_5x \
  --disable-schemas-install \
  --enable-avahi \
  --enable-telepathy \
  --enable-gnome-keyring \
  --disable-http-server		\
  --enable-libnotify 		\
  --disable-network-manager

%install
%makeinstall_std
%find_lang %name --with-gnome

%files -f %name.lang
%doc README NEWS AUTHORS ChangeLog docs/remote-desktop.txt docs/TODO
%{_libexecdir}/vino-server
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.Vino.service
%{_datadir}/telepathy/clients/Vino.client
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/applications/vino-server.desktop

%changelog

* Tue Mar 24 2015 Tigro <ashejn@gmail.com> 3.16.0-1
- (b875057) update to 3.16.0


